DocsAPI ReferenceProduct/bff/product/detail-change-code
postProductAdmin BFF

/bff/product/detail-change-code

Changes the unique code of a product. The new code is automatically slugified and deduplicated. Includes an optimistic concurrency check: currentCode must match the actual code.

ProductpostBffProductDetail-change-code

Parameters

3 body

3 total
Body · 3
idstringRequired

Current product code (used to look up the product).

currentCodestringRequired

Expected current code (optimistic concurrency check).

newCodestringRequired

New product code. Will be slugified and deduplicated.

Request

POST /bff/product/detail-change-code

post
curl -X POST "https://api.bizkithub.com/bff/product/detail-change-code" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "my-product",
  "currentCode": "my-product",
  "newCode": "my-new-product"
}'

Response

JSON payload

{
  "code": "example_code"
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key